Subject: Re: [core] New Version Notification for draft-groves-core-obsattr-00.txt

From: Friedhelm Rodermund <[email-masked]>
Date: Wed, 1 Mar 2017 17:24:21 +0100

Thanks Christian,

I believe these attributes are very valuable to support additional use cases with CoAP observe. 

Regards,
Friedhelm

> On 24 Feb 2017, at 01:36, Christian Groves <[email-masked]> wrote:
> 
> Hello
> 
> FYI, I've submitted a draft introducing several new binding and observe attributes:
> 
> o Initialization Value (iv)
> 
> o Notification Band Minimum (bmn)
> 
> o Notification Band Maximum (bmx)
> 
> o Band Step (bst)
> 
> o Sample Number Window (snw)
> 
> o Sample Time Window (stw)
> 
> If people think these are valuable then the goal would be to add them to draft-ietf-core-dynlink.
> 
> Comments?
> 
> Regards, Christian
> 
> 
> 
> 
> -------- Forwarded Message --------
> Subject: 	New Version Notification for draft-groves-core-obsattr-00.txt
> Date: 	Mon, 20 Feb 2017 20:40:59 -0800
> From: 	[email-masked]
> To: 	Christian Groves <[email-masked]>, Christian Groves <[email-masked]>, Weiwei Yang <[email-masked]>
> 
> 
> 
> A new version of I-D, draft-groves-core-obsattr-00.txt
> has been successfully submitted by Christian Groves and posted to the
> IETF repository.
> 
> Name:		draft-groves-core-obsattr
> Revision:	00
> Title:		Additional CoAP Binding and Observe Attributes
> Document date:	2017-02-21
> Group:		Individual Submission
> Pages:		13
> URL:            https://www.ietf.org/internet-drafts/draft-groves-core-obsattr-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-groves-core-obsattr/
> Htmlized:       https://tools.ietf.org/html/draft-groves-core-obsattr-00
> 
> 
> Abstract:
>   [I-D.ietf-core-dynlink] defines five CoAP Observaton attributes
>   (minimum period, maximum period, band step, less than and greater
>   than) to control when notifications are sent.  These attributes are
>   insufficient for some use cases.  This document specifies additional
>   attributes allowing for notification bands, initialization values,
>   band step, sample number window and sample time window to allow for a
>   wider range of use cases.
> 
>                                                                                  
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> .
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core